- [HTTP request](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.response_body)
  - [JSON representation](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.IrnProfile.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile#try-it)

Returns user's IRN Profile details.

### HTTP request

`GET https://health.googleapis.com/v4beta/{name=users/*/irnProfile}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4beta/errors)

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the IRN Profile. Format: `users/{user}/irnProfile` Example: `users/1234567890/irnProfile` or `users/me/irnProfile` The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal `me` can also be used to refer to the authenticated user. It takes the form `users/{user}/irnProfile`. |

### Request body

The request body must be empty.

### Response body

Irregular Rhythm Notifications (IRN) Profile details.

The Irregular Rhythm Notifications (IRN) feature checks for signs of atrial fibrillation (AFib). The IrnProfile details include information about the user's onboarding status, enrollment status, and the last update time of analyzable data for this feature.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "onboardingStatus": boolean, "enrollmentStatus": boolean, "updateTime": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of this IrnProfile resource. Format: `users/{user}/irnProfile` Example: `users/1234567890/irnProfile` or `users/me/irnProfile` The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal `me` can also be used to refer to the authenticated user. |
| `onboardingStatus` | `boolean` Required. Whether or not the user has onboarded onto the IRN feature. |
| `enrollmentStatus` | `boolean` Required. Whether or not the user is currently enrolled in having their data processed for IRN alerts. |
| `updateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The timestamp of the last piece of analyzable data synced by the user. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/googlehealth.irn.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).